## mapnik 3.0.0~rc3+ds

=== debian/changelog ===
mapnik (3.0.0~rc3+ds-2) unstable; urgency=medium

  * Restore ftemplate-depth patch - it saves memory usage during compilation.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 19 Jun 2015 18:31:08 +0200

mapnik (3.0.0~rc3+ds-1) unstable; urgency=medium

  * Imported Upstream version 3.0.0~rc3+ds
  * Python bindings are now in separate upstream project
  * Copyright:
    + syntax fixes
    + all DFSG-exluded files are now in separate upstream project
    + boost files moved to deps
  * Watch: fix mangling, watch rc releases
  * Build-Depends:
    + libcairo-dev instead of transitional libcairo2-dev
    + libgdal-dev instead of libgdal1-dev
    + libwebp-dev
    + libharfbuzz-dev
  * Patches:
    + unapply previous patches, applied upstream
  * Rules:
    + disable building with rpath
    + build new plugins: pgraster, topojson
  * Standards-Version 3.9.6

 -- Jérémy Lal <kapouer@melix.org>  Wed, 27 May 2015 21:13:32 +0200

=== debian/control ===
Source: mapnik
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
 , David Paleino <dapal@debian.org>
 , Francesco Paolo Lovergine <frankie@debian.org>
 , Jérémy Lal <kapouer@melix.org>
Build-Depends:
 scons
 , debhelper (>= 9~)
 , libtool
 , libboost-filesystem-dev
 , libboost-system-dev
 , libboost-thread-dev
 , libboost-regex-dev
 , libboost-program-options-dev
 , libharfbuzz-dev
 , libicu-dev
 , libpng-dev
 , libjpeg-dev
 , libtiff-dev
 , zlib1g-dev
 , libfreetype6-dev
 , libxml2-dev
 , libproj-dev
 , libcairo-dev
 , pkg-config
 , libpq-dev
 , libgdal-dev
 , libsqlite3-dev
 , libcurl4-gnutls-dev
 , librasterlite-dev
 , libwebp-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.mapnik.org/
Vcs-Git: git://anonscm.debian.org/pkg-grass/mapnik.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/mapnik.git

Package: libmapnik3.0
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , ttf-dejavu
Suggests: postgis
Description: C++ toolkit for developing GIS applications (libraries)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package contains the shared library and input plugins.

Package: libmapnik2-dev
Priority: extra
Section: oldlibs
Architecture: all
Depends:
 libmapnik-dev
 , ${misc:Depends}
Description: C++ toolkit for developing GIS applications (dummy)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package is a transitional package, and can be safely removed if
 nobody depends on it.

Package: libmapnik-dev
Section: libdevel
Architecture: any
Breaks: libmapnik2-dev (<< 2.2.0+ds1-1~)
Replaces: libmapnik2-dev (<< 2.2.0+ds1-1~)
Depends:
 ${misc:Depends}
 , libmapnik3.0 (= ${binary:Version})
 , libc6-dev | libc-dev
 , libboost-filesystem-dev
 , libboost-system-dev
 , libboost-thread-dev
 , libboost-regex-dev
 , libboost-program-options-dev
 , libicu-dev
 , libharfbuzz-dev
 , libpng-dev
 , libjpeg-dev
 , libtiff-dev
 , zlib1g-dev
 , libfreetype6-dev
 , libxml2-dev
 , libproj-dev
 , libcairo2-dev
 , pkg-config
 , libpq-dev
 , libgdal-dev
 , libsqlite3-dev
 , libcurl4-gnutls-dev
 , librasterlite-dev
Recommends: mapnik-doc
Description: C++ toolkit for developing GIS applications (devel)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package contains the development headers, API documentation, and
 build utilities.

Package: mapnik-utils
Section: utils
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Description: C++ toolkit for developing GIS applications (utilities)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package contains miscellaneous utilities distributed with mapnik:
 .
 shapeindex: program to creates file system based index for ESRI shape-files

Package: mapnik-doc
Section: doc
Architecture: all
Recommends: libmapnik-dev
Depends: ${misc:Depends}
Description: C++ toolkit for developing GIS applications (doc)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package contains developer documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# scons flags
# Disable parallel build - it exhausts memory on s390, mipsel, mips
SCONS = $(shell which scons)
SCONS_FLAGS := -j1
# -O2
SCONS_FLAGS += OPTIMIZATION=2
SCONS_FLAGS += FULL_LIB_PATH=False
SCONS_FLAGS += INPUT_PLUGINS=csv,gdal,geojson,ogr,osm,pgraster,postgis,raster,rasterlite,shape,sqlite,topojson
SCONS_FLAGS += PROJ_INCLUDES=/usr/include PROJ_LIBS=/usr/lib
SCONS_FLAGS += SYSTEM_FONTS=/usr/share/fonts
SCONS_FLAGS += XMLPARSER=libxml2
SCONS_FLAGS += DEMO=False
SCONS_FLAGS += CPP_TESTS=False
SCONS_FLAGS += PREFIX=/usr LIB_DIR_NAME=/mapnik/3.0
SCONS_FLAGS += CUSTOM_CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS) -g0"
SCONS_FLAGS += CUSTOM_CFLAGS="$(shell dpkg-buildflags --get CFLAGS) -g0"
SCONS_FLAGS += CUSTOM_LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS) -g0"
SCONS_FLAGS += CUSTOM_DEFINES="$(shell dpkg-buildflags --get CPPFLAGS) -g0"

override_dh_auto_configure: debian/stamps/configure-python
debian/stamps/configure-python:
	-mkdir build-python
	-mkdir debian/stamps
	cp -r demo deps fonts include plugins src test utils SConstruct build-python
	touch $@
	$(SCONS) -C build-python configure \
		$(SCONS_FLAGS) \
		CCFLAGS="$(CFLAGS)" \
		DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_build:	debian/stamps/build-python
debian/stamps/build-python:
	$(SCONS) -C build-python

override_dh_prep:
	dh_prep -Xdebian/tmp

override_dh_auto_install:	debian/stamps/install-python
debian/stamps/install-python:
	$(SCONS) -C build-python install

override_dh_auto_clean:
	rm -rf build-python
	rm -rf debian/stamps
	dh_clean

override_dh_auto_test: debian/stamps/test-python
debian/stamps/test-python:
	# nothing yet

%:
	dh $@

=== debian/watch ===
version=3
opts=uversionmangle=s/\-rc(\d)/\~rc$1/,filenamemangle=s/.*\/v?([\d\.-]+(?:-rc\d)?)\.tar\.gz/mapnik-$1.tar.gz/,dversionmangle=s/\+ds[\d]*$// \
https://github.com/mapnik/mapnik/tags .*/archive/v?([\d\.]+(?:-rc\d)?).tar.gz

## mapnik 3.0.0+ds

=== debian/changelog ===
mapnik (3.0.0+ds-2build2) wily; urgency=medium

  * No-change rebuild against libgdal1i

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 23 Aug 2015 01:19:38 +0000

mapnik (3.0.0+ds-2build1) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:40:37 +0100

mapnik (3.0.0+ds-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar by default.
  * Override dh_install to use --list-missing.
  * Include static libs in libmapnik-dev for python-mapnik and
    node-mapnik build.
  * Don't install nik2img by upstream request.
  * Exclude mips* from supported architectures.

  [ Jérémy Lal ]
  * Add a short explanation and a link to upstream explanation into
    README.Debian.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Jul 2015 18:46:44 +0200

mapnik (3.0.0+ds-1) unstable; urgency=medium

  * Do not append CPPFLAGS to CUSTOM_DEFINES (Closes: #791482)
    Thanks to James Cowgill.
  * Imported Upstream version 3.0.0+ds
  * Remove deps/clipper from copyright section

 -- Jérémy Lal <kapouer@melix.org>  Wed, 08 Jul 2015 22:15:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: mapnik
 Priority: optional
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
  , David Paleino <dapal@debian.org>
  , Francesco Paolo Lovergine <frankie@debian.org>
@@ -38,7 +39,7 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/mapnik.git
 
 Package: libmapnik3.0
-Architecture: any
+Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
@@ -78,7 +79,7 @@
 
 Package: libmapnik-dev
 Section: libdevel
-Architecture: any
+Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
 Breaks: libmapnik2-dev (<< 2.2.0+ds1-1~)
 Replaces: libmapnik2-dev (<< 2.2.0+ds1-1~)
 Depends:
@@ -122,7 +123,7 @@
 
 Package: mapnik-utils
 Section: utils
-Architecture: any
+Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,9 @@
 SCONS_FLAGS += DEMO=False
 SCONS_FLAGS += CPP_TESTS=False
 SCONS_FLAGS += PREFIX=/usr LIB_DIR_NAME=/mapnik/3.0
-SCONS_FLAGS += CUSTOM_CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS) -g0"
-SCONS_FLAGS += CUSTOM_CFLAGS="$(shell dpkg-buildflags --get CFLAGS) -g0"
+SCONS_FLAGS += CUSTOM_CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -g0"
+SCONS_FLAGS += CUSTOM_CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -g0"
 SCONS_FLAGS += CUSTOM_LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS) -g0"
-SCONS_FLAGS += CUSTOM_DEFINES="$(shell dpkg-buildflags --get CPPFLAGS) -g0"
 
 override_dh_auto_configure: debian/stamps/configure-python
 debian/stamps/configure-python:
@@ -54,6 +53,11 @@
 debian/stamps/test-python:
 	# nothing yet
 
+override_dh_install:
+	# Don't install nik2img, as requested by upstream
+	$(RM) debian/*/usr/bin/nik2img
+	dh_install --list-missing
+
 %:
 	dh $@

## mapnik 3.0.3%2bds

=== SConstruct ===
# This file is part of Mapnik (c++ mapping toolkit)
#
# Copyright (C) 2013 Artem Pavlenko
#
# Mapnik is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


import os
import sys
import re
import platform
from glob import glob
from copy import copy
from subprocess import Popen, PIPE
from SCons.SConf import SetCacheMode
import pickle

try:
    import distutils.sysconfig
    HAS_DISTUTILS = True
except:
    HAS_DISTUTILS = False

LIBDIR_SCHEMA_DEFAULT='lib'
severities = ['debug', 'warn', 'error', 'none']

ICU_INCLUDES_DEFAULT='/usr/include'
ICU_LIBS_DEFAULT='/usr/'

DEFAULT_CC = "cc"
DEFAULT_CXX = "c++"
DEFAULT_CXX11_CXXFLAGS = " -std=c++11"
DEFAULT_CXX11_LINKFLAGS = ""
if sys.platform == 'darwin':
    # homebrew default
    ICU_INCLUDES_DEFAULT='/usr/local/opt/icu4c/include/'
    ICU_LIBS_DEFAULT='/usr/local/opt/icu4c/'

py3 = None

# local file to hold custom user configuration variables
# Todo check timestamp, reload if changed?
SCONS_LOCAL_CONFIG = 'config.py'
# build log
SCONS_LOCAL_LOG = 'config.log'
# local pickled file to cache configured environment
SCONS_CONFIGURE_CACHE = 'config.cache'
# directory SCons uses to stash build tests
SCONF_TEMP_DIR = '.sconf_temp'
# auto-search directories for boost libs/headers
BOOST_SEARCH_PREFIXES = ['/usr/local','/opt/local','/sw','/usr',]
BOOST_MIN_VERSION = '1.47'
#CAIRO_MIN_VERSION = '1.8.0'

HARFBUZZ_MIN_VERSION = (0, 9, 34)
HARFBUZZ_MIN_VERSION_STRING = "%s.%s.%s" % HARFBUZZ_MIN_VERSION


DEFAULT_LINK_PRIORITY = ['internal','other','frameworks','user','system']


pretty_dep_names = {
    'clntsh':'Oracle database library | configure with OCCI_LIBS & OCCI_INCLUDES | more info: https://github.com/mapnik/mapnik/wiki/OCCI',
    'gdal':'GDAL C++ library | configured using gdal-config program | try setting GDAL_CONFIG SCons option | more info: https://github.com/mapnik/mapnik/wiki/GDAL',
    'ogr':'OGR-enabled GDAL C++ Library | configured using gdal-config program | try setting GDAL_CONFIG SCons option | more info: https://github.com/mapnik/mapnik/wiki/OGR',
    'cairo':'Cairo C library | configured using pkg-config | try setting PKG_CONFIG_PATH SCons option',
    'proj':'Proj.4 C Projections library | configure with PROJ_LIBS & PROJ_INCLUDES | more info: http://trac.osgeo.org/proj/',
    'pg':'Postgres C Library required for PostGIS plugin | configure with pg_config program or configure with PG_LIBS & PG_INCLUDES | more info: https://github.com/mapnik/mapnik/wiki/PostGIS',
    'sqlite3':'SQLite3 C Library | configure with SQLITE_LIBS & SQLITE_INCLUDES | more info: https://github.com/mapnik/mapnik/wiki/SQLite',
    'jpeg':'JPEG C library | configure with JPEG_LIBS & JPEG_INCLUDES',
    'tiff':'TIFF C library | configure with TIFF_LIBS & TIFF_INCLUDES',
    'png':'PNG C library | configure with PNG_LIBS & PNG_INCLUDES',
    'webp':'WEBP C library | configure with WEBP_LIBS & WEBP_INCLUDES',
    'icuuc':'ICU C++ library | configure with ICU_LIBS & ICU_INCLUDES or use ICU_LIB_NAME to specify custom lib name  | more info: http://site.icu-project.org/',
    'harfbuzz':'HarfBuzz text shaping library | configure with HB_LIBS & HB_INCLUDES',
    'harfbuzz-min-version':'HarfBuzz >= %s (required for font-feature-settings support)' % HARFBUZZ_MIN_VERSION_STRING,
    'z':'Z compression library | more info: http://www.zlib.net/',
    'm':'Basic math library, part of C++ stlib',
    'pkg-config':'pkg-config tool | more info: http://pkg-config.freedesktop.org',
    'pg_config':'pg_config program | try setting PG_CONFIG SCons option',
    'pq':'libpq library (postgres client) | try setting PG_CONFIG SCons option or configure with PG_LIBS & PG_INCLUDES',
    'xml2-config':'xml2-config program | try setting XML2_CONFIG SCons option or avoid the need for xml2-config command by configuring with XML2_LIBS & XML2_INCLUDES',
    'libxml2':'libxml2 library | try setting XML2_CONFIG SCons option to point to location of xml2-config program or configure with XML2_LIBS & XML2_INCLUDES',
    'gdal-config':'gdal-config program | try setting GDAL_CONFIG SCons option',
    'freetype-config':'freetype-config program | try setting FREETYPE_CONFIG SCons option or configure with FREETYPE_LIBS & FREETYPE_INCLUDES',
    'freetype':'libfreetype library | try setting FREETYPE_CONFIG SCons option or configure with FREETYPE_LIBS & FREETYPE_INCLUDES',
    'osm':'more info: https://github.com/mapnik/mapnik/wiki/OsmPlugin',
    'boost_regex_icu':'libboost_regex built with optional ICU unicode support is needed for unicode regex support in mapnik.',
    'sqlite_rtree':'The SQLite plugin requires libsqlite3 built with RTREE support (-DSQLITE_ENABLE_RTREE=1)',
    'pgsql2sqlite_rtree':'The pgsql2sqlite program requires libsqlite3 built with RTREE support (-DSQLITE_ENABLE_RTREE=1)'
    }

# Core plugin build configuration
# opts.AddVariables still hardcoded however...
PLUGINS = { # plugins with external dependencies
            # configured by calling project, hence 'path':None
            'postgis': {'default':True,'path':None,'inc':'libpq-fe.h','lib':'pq','lang':'C'},
            'pgraster': {'default':True,'path':None,'inc':'libpq-fe.h','lib':'pq','lang':'C'},
            'gdal':    {'default':True,'path':None,'inc':'gdal_priv.h','lib':'gdal','lang':'C++'},
            'ogr':     {'default':True,'path':None,'inc':'ogrsf_frmts.h','lib':'gdal','lang':'C++'},
            'sqlite':  {'default':True,'path':'SQLITE','inc':'sqlite3.h','lib':'sqlite3','lang':'C'},
            # plugins without external dependencies requiring CheckLibWithHeader...
            'shape':   {'default':True,'path':None,'inc':None,'lib':None,'lang':'C++'},
            'csv':     {'default':True,'path':None,'inc':None,'lib':None,'lang':'C++'},
            'raster':  {'default':True,'path':None,'inc':None,'lib':None,'lang':'C++'},
            'geojson': {'default':True,'path':None,'inc':None,'lib':None,'lang':'C++'},
            'topojson':{'default':True,'path':None,'inc':None,'lib':None,'lang':'C++'}
            }


def init_environment(env):
    env.Decider('MD5-timestamp')
    env.SourceCode(".", None)
    if os.environ.get('RANLIB'):
        env['RANLIB'] = os.environ['RANLIB']
    if os.environ.get('AR'):
        env['AR'] = os.environ['AR']

#### SCons build options and initial setup ####
env = Environment(ENV=os.environ)
init_environment(env)

def fix_path(path):
    return os.path.abspath(path)

def color_print(color,text,newline=True):
    # 1 - red
    # 2 - green
    # 3 - yellow
    # 4 - blue
    text = "\033[9%sm%s\033[0m" % (color,text)
    if not newline:
        print text,
    else:
        print text

def regular_print(color,text,newline=True):
    if not newline:
        print text,
    else:
        print text

def call(cmd, silent=False):
    stdin, stderr = Popen(cmd, shell=True, stdout=PIPE, stderr=PIPE).communicate()
    if not stderr:
        return stdin.strip()
    elif not silent:
        color_print(1,'Problem encounted with SCons scripts, please post bug report to: https://github.com/mapnik/mapnik/issues \nError was: %s' % stderr)

def strip_first(string,find,replace=''):
    if string.startswith(find):
        return string.replace(find,replace,1)
    return string

# http://www.scons.org/wiki/InstallTargets
def create_uninstall_target(env, path, is_glob=False):
    if 'uninstall' in COMMAND_LINE_TARGETS:
        if is_glob:
            all_files = Glob(path,strings=True)
            for filei in all_files:
                env.Command( "uninstall-"+filei, filei,
                [
                Delete("$SOURCE"),
                ])
                env.Alias("uninstall", "uninstall-"+filei)
        else:
            if os.path.exists(path):
                env.Command( "uninstall-"+path, path,
                [
                Delete("$SOURCE"),
                ])
                env.Alias("uninstall", "uninstall-"+path)

def shortest_name(libs):
    name = '-'*200
    for lib in libs:
        if len(name) > len(lib):
            name = lib
    return name

def rm_path(item,set,_env):
    for i in _env[set]:
        if i.startswith(item):
            _env[set].remove(i)

def sort_paths(items,priority):
    """Sort paths such that compiling and linking will globally prefer custom or local libs
    over system libraries by fixing up the order libs are passed to the compiler and the linker.

    Ideally preference could be by-target instead of global, but our SCons implementation
    is not currently utilizing different SCons build env()'s as we should.

    Overally the current approach within these scripts is to prepend paths of preference
    and append all others, but this does not give enough control (particularly due to the
    approach of assuming /usr/LIBSCHEMA and letting paths be parsed and added by pkg-config).

    In effect /usr/lib is likely to come before /usr/local/lib which makes linking against
    custom built icu or boost impossible when those libraries are available in both places.

    Sorting using a priority list allows this to be controlled, and fine tuned.
    """

    new = []
    path_types = {'internal':[],'other':[],'frameworks':[],'user':[],'system':[]}
    # parse types of paths into logical/meaningful groups
    # based on commonly encountered lib directories on linux and osx
    for i in items:
        # internal paths for code kept inside
        # the mapnik sources
        if i.startswith('#'):
            path_types['internal'].append(i)
        # Mac OS X user installed frameworks
        elif '/Library/Frameworks' in i:
            path_types['frameworks'].append(i)
        # various 'local' installs like /usr/local or /opt/local
        elif 'local' in i or '/sw' in i:
            if '/usr/local' in i:
                path_types['user'].insert(0,i)
            else:
                path_types['user'].append(i)
        # key system libs (likely others will fall into 'other')
        elif '/usr/' in i or '/System' in i or i.startswith('/lib'):
            path_types['system'].append(i)
        # anything not yet matched...
        # likely a combo of rare system lib paths and
        # very custom user paths that should ideally be
        # in 'user'
        else:
            path_types['other'].append(i)
    # build up new list based on priority list
    for path in priority:
        if path_types.has_key(path):
            dirs = path_types[path]
            new.extend(dirs)
            path_types.pop(path)
        else:
            color_print(1,'\nSorry, "%s" is NOT a valid value for option "LINK_PRIORITY": values include: %s' % (path,','.join(path_types.keys())))
            color_print(1,'\tinternal: the local directory of the Mapnik sources (prefix #) (eg. used to link internal agg)')
            color_print(1,'\tframeworks: on osx the /Library/Frameworks directory')
            color_print(1,'\tuser: any path with "local" or "/sw" inside it')
            color_print(1,'\tsystem: any path not yet matched with "/usr/","/lib", or "/System" (osx) inside it')
            color_print(1,'\tother: any paths you specified not matched by criteria used to parse the others')
            color_print(1,'\tother: any paths you specified not matched by criteria used to parse the others')
            color_print(1,'The Default priority is: %s' % ','.join(DEFAULT_LINK_PRIORITY))

## mapnik 3.0.3+ds

=== debian/changelog ===
mapnik (3.0.3+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file repacksuffix and use common mangling options.
  * Update copyright file, sort & align copyright holders.
  * Refresh patches.
  * Tweak watch file to support v3.0.0-rc-offset.
  * Restructure control file with cme, change:
    - Update Vcs-Browser URL to use cgit instead of gitweb, and HTTPS.
  * Add upstream metadata.
  * Drop librasterlite dependency, input driver removed in 3.0.1 due to
    deprecation of librasterlite by its developer. See also:
    https://github.com/mapnik/mapnik/issues/2977
  * Rebuild for gdal transition.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Aug 2015 20:34:51 +0200

=== debian/control ===
Source: mapnik
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>,
           David Paleino <dapal@debian.org>,
           Francesco Paolo Lovergine <frankie@debian.org>,
           Jérémy Lal <kapouer@melix.org>
Section: libs
Priority: optional
Build-Depends: scons,
               debhelper (>= 9~),
               libtool,
               libboost-filesystem-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libboost-regex-dev,
               libboost-program-options-dev,
               libharfbuzz-dev,
               libicu-dev,
               libpng-dev,
               libjpeg-dev,
               libtiff-dev,
               zlib1g-dev,
               libfreetype6-dev,
               libxml2-dev,
               libproj-dev,
               libcairo-dev,
               pkg-config,
               libpq-dev,
               libgdal-dev,
               libsqlite3-dev,
               libcurl4-gnutls-dev,
               libwebp-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapnik.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/mapnik.git
Homepage: http://www.mapnik.org/

Package: libmapnik3.0
Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ttf-dejavu
Suggests: postgis
Description: C++ toolkit for developing GIS applications (libraries)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package contains the shared library and input plugins.

Package: libmapnik2-dev
Architecture: all
Section: oldlibs
Priority: extra
Depends: libmapnik-dev,
         ${misc:Depends}
Description: C++ toolkit for developing GIS applications (dummy)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package is a transitional package, and can be safely removed if
 nobody depends on it.

Package: libmapnik-dev
Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
Section: libdevel
Depends: ${misc:Depends},
         libmapnik3.0 (= ${binary:Version}),
         libc6-dev | libc-dev,
         libboost-filesystem-dev,
         libboost-system-dev,
         libboost-thread-dev,
         libboost-regex-dev,
         libboost-program-options-dev,
         libicu-dev,
         libharfbuzz-dev,
         libpng-dev,
         libjpeg-dev,
         libtiff-dev,
         zlib1g-dev,
         libfreetype6-dev,
         libxml2-dev,
         libproj-dev,
         libcairo2-dev,
         pkg-config,
         libpq-dev,
         libgdal-dev,
         libsqlite3-dev,
         libcurl4-gnutls-dev,
Recommends: mapnik-doc
Breaks: libmapnik2-dev (<< 2.2.0+ds1-1~)
Replaces: libmapnik2-dev (<< 2.2.0+ds1-1~)
Description: C++ toolkit for developing GIS applications (devel)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package contains the development headers, API documentation, and
 build utilities.

Package: mapnik-utils
Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ toolkit for developing GIS applications (utilities)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package contains miscellaneous utilities distributed with mapnik:
 .
 shapeindex: program to creates file system based index for ESRI shape-files

Package: mapnik-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libmapnik-dev
Description: C++ toolkit for developing GIS applications (doc)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package contains developer documentation.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # -O2
 SCONS_FLAGS += OPTIMIZATION=2
 SCONS_FLAGS += FULL_LIB_PATH=False
-SCONS_FLAGS += INPUT_PLUGINS=csv,gdal,geojson,ogr,osm,pgraster,postgis,raster,rasterlite,shape,sqlite,topojson
+SCONS_FLAGS += INPUT_PLUGINS=csv,gdal,geojson,ogr,pgraster,postgis,raster,shape,sqlite,topojson
 SCONS_FLAGS += PROJ_INCLUDES=/usr/include PROJ_LIBS=/usr/lib
 SCONS_FLAGS += SYSTEM_FONTS=/usr/share/fonts
 SCONS_FLAGS += XMLPARSER=libxml2

## mapnik 3.0.7+ds

=== SConstruct ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # This file is part of Mapnik (c++ mapping toolkit)
 #
-# Copyright (C) 2013 Artem Pavlenko
+# Copyright (C) 2015 Artem Pavlenko
 #
 # Mapnik is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public

=== debian/changelog ===
mapnik (3.0.7+ds-4) unstable; urgency=medium

  * Fix typo in NJOBS variable for non parallel builds on arm64 & armel.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Oct 2015 22:42:36 +0200

mapnik (3.0.7+ds-3) unstable; urgency=medium

  * Fix disabling of parallel builds on arm64 & armel. 

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Oct 2015 17:27:24 +0200

mapnik (3.0.7+ds-2) unstable; urgency=medium

  * Disable parallel builds on arm64 & armel. 

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Oct 2015 16:50:20 +0200

mapnik (3.0.7+ds-1) unstable; urgency=medium

  * New upstream release.
  * Don't install mapnik-render, like nik2img before the rename.
  * Pass -j<N> to build and install commands too.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Oct 2015 09:09:29 +0200

mapnik (3.0.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable parallel builds, problematic architectures no longer supported.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Oct 2015 15:59:25 +0200

mapnik (3.0.5+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Drop libmapnik2-dev transitional package.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 20 Sep 2015 12:07:06 +0200

mapnik (3.0.4+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 30 Aug 2015 13:40:37 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,21 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+NJOBS := -j1
+ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
+NJOBS := -j$(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
+endif
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+# Disable parallel builds for problematic architectures
+ifneq (,$(findstring $(DEB_HOST_ARCH),"arm64 armel"))
+	NJOBS = -j1
+endif
+
 # scons flags
-# Disable parallel build - it exhausts memory on s390, mipsel, mips
 SCONS = $(shell which scons)
-SCONS_FLAGS := -j1
+SCONS_FLAGS := $(NJOBS)
 # -O2
 SCONS_FLAGS += OPTIMIZATION=2
 SCONS_FLAGS += FULL_LIB_PATH=False
@@ -22,6 +33,14 @@
 SCONS_FLAGS += CUSTOM_CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -g0"
 SCONS_FLAGS += CUSTOM_LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS) -g0"
 
+%:
+	dh $@ --parallel
+
+override_dh_auto_clean:
+	rm -rf build-python
+	rm -rf debian/stamps
+	dh_clean
+
 override_dh_auto_configure: debian/stamps/configure-python
 debian/stamps/configure-python:
 	-mkdir build-python
@@ -35,29 +54,21 @@
 
 override_dh_auto_build:	debian/stamps/build-python
 debian/stamps/build-python:
-	$(SCONS) -C build-python
-
-override_dh_prep:
-	dh_prep -Xdebian/tmp
-
-override_dh_auto_install:	debian/stamps/install-python
-debian/stamps/install-python:
-	$(SCONS) -C build-python install
-
-override_dh_auto_clean:
-	rm -rf build-python
-	rm -rf debian/stamps
-	dh_clean
+	$(SCONS) $(NJOBS) -C build-python
 
 override_dh_auto_test: debian/stamps/test-python
 debian/stamps/test-python:
 	# nothing yet
 
+override_dh_auto_install: debian/stamps/install-python
+debian/stamps/install-python:
+	$(SCONS) $(NJOBS) -C build-python install
+
 override_dh_install:
-	# Don't install nik2img, as requested by upstream
-	$(RM) debian/*/usr/bin/nik2img
+	# Don't install mapnik-render (previously nik2img), as requested by upstream
+	$(RM) debian/*/usr/bin/mapnik-render
 	dh_install --list-missing
 
-%:
-	dh $@
+override_dh_prep:
+	dh_prep -Xdebian/tmp

## mapnik 3.0.8+ds

=== debian/changelog ===
mapnik (3.0.8+ds-1) unstable; urgency=medium

  * New upstream release.
  * Don't remove mapnik-render anymore, upstream says it's suitable for
    inclusion now.
  * Include mapnik-index utility in mapnik-utils.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 24 Oct 2015 12:56:59 +0200

=== debian/rules ===
--- 
+++ 
@@ -65,8 +65,6 @@
 	$(SCONS) $(NJOBS) -C build-python install
 
 override_dh_install:
-	# Don't install mapnik-render (previously nik2img), as requested by upstream
-	$(RM) debian/*/usr/bin/mapnik-render
 	dh_install --list-missing
 
 override_dh_prep:

## mapnik 3.0.9%2Bds

=== debian/changelog ===
mapnik (3.0.9+ds-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 26 Nov 2015 21:10:31 +0100

mapnik (3.0.9~rc3+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Disable parallel builds on armhf too.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Nov 2015 23:58:32 +0100

mapnik (3.0.9~rc2+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Disable parallel builds for Ubuntu on amd64 & ppc64el too.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Nov 2015 00:09:59 +0100

mapnik (3.0.9~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
    (closes: #803985)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Nov 2015 23:30:15 +0100

## mapnik 3.0.9+ds

=== Makefile ===

OS := $(shell uname -s)

PYTHON = python

ifeq ($(JOBS),)
	JOBS:=1
endif

all: mapnik

install:
	$(PYTHON) scons/scons.py -j$(JOBS) --config=cache --implicit-cache --max-drift=1 install

release:
	export MAPNIK_VERSION=$(shell ./utils/mapnik-config/mapnik-config --version) && \
	export TARBALL_NAME="mapnik-v$${MAPNIK_VERSION}" && \
	cd /tmp/ && \
	rm -rf $${TARBALL_NAME} && \
	git clone --depth 1 --branch v$${MAPNIK_VERSION} git@github.com:mapnik/mapnik.git $${TARBALL_NAME} && \
	cd $${TARBALL_NAME} && \
	git checkout "tags/v$${MAPNIK_VERSION}" && \
	git submodule update --depth 1 --init && \
	rm -rf test/data/.git && \
	rm -rf test/data/.gitignore && \
	rm -rf test/data-visual/.git && \
	rm -rf test/data-visual/.gitignore && \
	rm -rf .git && \
	rm -rf .gitignore && \
	cd ../ && \
	tar cjf $${TARBALL_NAME}.tar.bz2 $${TARBALL_NAME}/ && \
	aws s3 cp --acl public-read $${TARBALL_NAME}.tar.bz2 s3://mapnik/dist/v$${MAPNIK_VERSION}/

python:
	if [ ! -d ./bindings/python ]; then git clone git@github.com:mapnik/python-mapnik.git --recursive ./bindings/python; else (cd bindings/python && git pull && git submodule update --init); fi;
	make
	python bindings/python/test/visual.py -q

src/json/libmapnik-json.a:
	# we first build memory intensive files with -j1
	$(PYTHON) scons/scons.py -j1 \
		--config=cache --implicit-cache --max-drift=1 \
		src/renderer_common/process_group_symbolizer.os \
		src/json/libmapnik-json.a \
		src/wkt/libmapnik-wkt.a \
		src/css_color_grammar.os \
		src/expression_grammar.os \
		src/transform_expression_grammar.os \
		src/image_filter_types.os \
		src/agg/process_markers_symbolizer.os \
		src/agg/process_group_symbolizer.os \
		src/grid/process_markers_symbolizer.os \
		src/grid/process_group_symbolizer.os \
		src/cairo/process_markers_symbolizer.os \
		src/cairo/process_group_symbolizer.os \

mapnik: src/json/libmapnik-json.a
	# then install the rest with -j$(JOBS)
	$(PYTHON) scons/scons.py -j$(JOBS) --config=cache --implicit-cache --max-drift=1

clean:
	@$(PYTHON) scons/scons.py -j$(JOBS) -c --config=cache --implicit-cache --max-drift=1
	@if test -e ".sconsign.dblite"; then rm ".sconsign.dblite"; fi
	@if test -e "config.log"; then rm "config.log"; fi
	@if test -e "config.cache"; then rm "config.cache"; fi
	@if test -e ".sconf_temp/"; then rm -r ".sconf_temp/"; fi
	@find ./ -name "*.pyc" -exec rm {} \;
	@find ./ -name "*.os" -exec rm {} \;
	@find ./src/ -name "*.dylib" -exec rm {} \;
	@find ./src/ -name "*.so" -exec rm {} \;
	@find ./ -name "*.o" -exec rm {} \;
	@find ./src/ -name "*.a" -exec rm {} \;

distclean:
	if test -e "config.py"; then mv "config.py" "config.py.backup"; fi

reset: distclean

rebuild:
	make uninstall && make clean && time make && make install

uninstall:
	@$(PYTHON) scons/scons.py -j$(JOBS) --config=cache --implicit-cache --max-drift=1 uninstall

test/data:
	git submodule update --init

test: ./test/data
	@./test/run

check: test

bench:
	./benchmark/run

demo:
	cd demo/c++; ./rundemo `mapnik-config --prefix`

pep8:
	# https://gist.github.com/1903033
	# gsed on osx
	@pep8 -r --select=W293 -q --filename=*.py `pwd`/tests/ | xargs gsed -i 's/^[ \r\t]*$$//'
	@pep8 -r --select=W391 -q --filename=*.py `pwd`/tests/ | xargs gsed -i -e :a -e '/^\n*$$/{$$d;N;ba' -e '}'
	@pep8 -r --select=W391 -q --filename=*.py `pwd`/tests/ | xargs ged -i '/./,/^$$/!d'

# note: pass --gen-suppressions=yes to create new suppression entries
grind:
	@source localize.sh && \
	    valgrind --suppressions=./test/unit/valgrind.supp --leak-check=full --log-fd=1 ./test/visual/run | grep definitely;
	@source localize.sh && \
	for FILE in test/standalone/*-bin; do \
		valgrind --suppressions=./test/unit/valgrind.supp --leak-check=full --log-fd=1 $${FILE} | grep definitely; \
	done
	@source localize.sh && \
	    valgrind --suppressions=./test/unit/valgrind.supp --leak-check=full --log-fd=1 ./test/unit/run | grep definitely;

render:
	@for FILE in tests/data/good_maps/*xml; do \
		nik2img.py $${FILE} /tmp/$$(basename $${FILE}).png; \
	done

.PHONY: install mapnik clean distclean reset uninstall test demo pep8 grind render

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Uploaders: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>,
            David Paleino <dapal@debian.org>,
            Francesco Paolo Lovergine <frankie@debian.org>,
-           Jérémy Lal <kapouer@melix.org>
+           Jérémy Lal <kapouer@melix.org>,
+           Bas Couwenberg <sebastic@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: scons,
@@ -52,25 +53,6 @@
  is intended to work in multi-threaded environments
  .
  This package contains the shared library and input plugins.
-
-Package: libmapnik2-dev
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: libmapnik-dev,
-         ${misc:Depends}
-Description: C++ toolkit for developing GIS applications (dummy)
- Mapnik is an OpenSource C++ toolkit for developing GIS
- (Geographic Information Systems) applications. At the core is a C++
- shared library providing algorithms/patterns for spatial data access and
- visualization.
- .
- Essentially a collection of geographic objects (map, layer, datasource,
- feature, geometry), the library doesn't rely on "windowing systems" and
- is intended to work in multi-threaded environments
- .
- This package is a transitional package, and can be safely removed if
- nobody depends on it.
 
 Package: libmapnik-dev
 Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,16 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 # Disable parallel builds for problematic architectures
-ifneq (,$(findstring $(DEB_HOST_ARCH),"arm64 armel"))
+NO_PARALLEL_ARCHS = "arm64 armel armhf"
+
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+	# From mapnik (3.0.8+ds-1ubuntu1):
+	# The amd64 buildds are castrated to 4G RAM and 4G swap,
+	# the ppc64el buildds to 12G RAM and 4G swap.
+	NO_PARALLEL_ARCHS += "amd64 ppc64el"
+endif
+
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(NO_PARALLEL_ARCHS)))
 	NJOBS = -j1
 endif

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)(?:-?offset)?\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?(?:rel|v|mapnik)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/mapnik-$1.$2/,\
repacksuffix=+ds \
https://github.com/mapnik/mapnik/releases \
(?:.*?/)?(?:rel|v|mapnik)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mapnik 3.0.11+ds

=== debian/changelog ===
mapnik (3.0.11+ds-1build3) yakkety; urgency=medium

  * Rebuild against gdal-abi-2-1-1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Jul 2016 16:11:56 +0200

mapnik (3.0.11+ds-1build2) yakkety; urgency=medium

  * No-change rebuild against gdal-abi-2-1-0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 May 2016 23:56:20 +0000

mapnik (3.0.11+ds-1build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Apr 2016 14:11:09 +0000

mapnik (3.0.11+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop refactor-markers_placement_finder.patch, applied upstream.
  * Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Apr 2016 01:44:11 +0200

mapnik (3.0.10+ds-2) unstable; urgency=medium

  * Remove hurd-i386 & kfreebsd-i386 from supported architectures.
  * Add patch to refactor markers_placement_finder.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 20 Mar 2016 13:22:07 +0100

mapnik (3.0.10+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Add patches for various typos.
  * Bump Standards-Version to 3.9.7, no changes.
  * Override dh_strip to not generate automatic dbgsym packages,
    those debug files have no debug symbols.
  * Disable parallel builds on alpha, hurd-i386 & kfreebsd-* too.
  * Update copyright file, changes:
    - Update copyright years for Artem Pavlenko.
    - Drop license & copyright for src/miniz.c, no longer included
  * Drop 2001_ftemplate-depth.patch, applied upstream.
  * Add --shape-index option to shapeindex manpage.
  * Add (build) dependency on libmapbox-variant-dev.
  * Enable all hardening buildflags, except pie
    (causes python-mapnik build failures).

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Mar 2016 18:13:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mapnik
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>,
            David Paleino <dapal@debian.org>,
            Francesco Paolo Lovergine <frankie@debian.org>,
@@ -17,6 +18,7 @@
                libboost-program-options-dev,
                libharfbuzz-dev,
                libicu-dev,
+               libmapbox-variant-dev,
                libpng-dev,
                libjpeg-dev,
                libtiff-dev,
@@ -31,13 +33,13 @@
                libsqlite3-dev,
                libcurl4-gnutls-dev,
                libwebp-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapnik.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/mapnik.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapnik.git
 Homepage: http://www.mapnik.org/
 
 Package: libmapnik3.0
-Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
+Architecture: any-amd64 i386 arm64 armel armhf powerpc ppc64el s390x alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ttf-dejavu
@@ -55,7 +57,7 @@
  This package contains the shared library and input plugins.
 
 Package: libmapnik-dev
-Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
+Architecture: any-amd64 i386 arm64 armel armhf powerpc ppc64el s390x alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
 Section: libdevel
 Depends: ${misc:Depends},
          libmapnik3.0 (= ${binary:Version}),
@@ -65,8 +67,9 @@
          libboost-thread-dev,
          libboost-regex-dev,
          libboost-program-options-dev,
+         libharfbuzz-dev,
          libicu-dev,
-         libharfbuzz-dev,
+         libmapbox-variant-dev,
          libpng-dev,
          libjpeg-dev,
          libtiff-dev,
@@ -80,6 +83,7 @@
          libgdal-dev,
          libsqlite3-dev,
          libcurl4-gnutls-dev,
+         libwebp-dev
 Recommends: mapnik-doc
 Breaks: libmapnik2-dev (<< 2.2.0+ds1-1~)
 Replaces: libmapnik2-dev (<< 2.2.0+ds1-1~)
@@ -97,7 +101,7 @@
  build utilities.
 
 Package: mapnik-utils
-Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
+Architecture: any-amd64 i386 arm64 armel armhf powerpc ppc64el s390x alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends}
